/*
		Copyright (c) MyCorporation, Inc., 1999.
                  All Rights Reserved.

Filename: MyView.m
Author:   me
Date:	  Mar 15, 1998

$Id: MyObject.h,v 1.0 1998/03/15 19:22:00 me Exp $
 $Log: MyObject.h,v $
*/

#import <Appkit/Appkit.h>
#import "MyView.h"

@implementation MyView
	/**" 
	*** MyView is a subclass of NSView which provides the methods
	*** #setBackgroundColor: and #backgroundColor to set and query the background color 
	*** for the view.  
	*** 
	*** Note that this is a %{really useless} example class!
 	***
	*** The .001\% of the time you wish to show the \% and \# characters,
	*** (or even as #{bold \%} and %{italics \#}!)
	***
	*** /* an embedded C comment *\/
	***
	*** To create an instance, just do !{[[MyView alloc] init]}.
	"**/


/*
 * Determining the color 
 */
- (void)setBackgroundColor:(NSColor *)aColor
	/*" Sets the background color of the view to aColor. "*/
{
	[aColor retain];
	[bacgroundColor release];
	backgroundColor = aColor;
}

	/*" Returns the color which is displayed as a background to this view. "*/
- (NSColor *)backgroundColor
{
	return backgroundColor;
}

/*
 * Displaying 
 */
    /*"
     * Fills the specified rectangle with the background color specified
     * with -#setBackgroundColor:.
    "*/
- (void)drawRect:(NSRect)rect;
{
	[backgroundColor set];
	NSRectFill(rect);
}

- (int)foo
	/*" Returns the default value of foo, as defined in the protocol. "*/
{
	return MY_FOODEFAULT;
}


- (int)bar
{
	return -1;
}

@end
